Increase number of mentions allowed in a single post
Closed, ResolvedPublic

Description

When more than 20 mentions are done (here 22), in a single post, users are not notified.

This is not the first time I see this, but I take this feedback as an opportunity to create a task. I can find other examples if needed.

See also T108293: Echo should warn users who tries to mention more than 50 other users that they won't be notified.

Trizek-WMF updated the task description. (Show Details)
Trizek-WMF raised the priority of this task from to Needs Triage.
Trizek-WMF added a project: Notifications.
Trizek-WMF added a subscriber: Trizek-WMF.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 26 2015, 8:52 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Mattflaschen-WMF renamed this task from Important batches of mentions are not always distributed to When there are more than 20 mentions in a single post, none are sent.Aug 26 2015, 7:19 PM
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF set Security to None.
Mattflaschen-WMF added a subscriber: Quiddity.

It's suggested we up the limit to something more practical like 50. If someone spams notifications, it's clear who's responsible, because the notifications state who mentions you.

Catrope triaged this task as Normal priority.Aug 26 2015, 11:15 PM
Catrope renamed this task from When there are more than 20 mentions in a single post, none are sent to Increase number of mentions allowed in a single post.
Catrope assigned this task to Mattflaschen-WMF.

This was originally set so low at 20 because while the person who spammed the notifications is obvious, they blamed us rather than mz.

Change 234179 had a related patch set uploaded (by Mattflaschen):
Bump mention limit to 50

https://gerrit.wikimedia.org/r/234179

Change 234179 merged by jenkins-bot:
Bump mention limit to 50

https://gerrit.wikimedia.org/r/234179

It's suggested we up the limit to something more practical like 50. If someone spams notifications, it's clear who's responsible, because the notifications state who mentions you.

It's not just intentional spam, it's also preventing notification bombing when someone accidentally types {{WP:VPT}} instead of [[WP:VPT]] (which actually happened).

Checked in betalabs.

DannyH closed this task as Resolved.Sep 2 2015, 5:35 PM
DannyH added a subscriber: DannyH.
TheDJ added a subscriber: TheDJ.Sep 7 2015, 5:40 PM

It's not just intentional spam, it's also preventing notification bombing when someone accidentally types {{WP:VPT}} instead of [[WP:VPT]] (which actually happened).

Eh yeah, in my memory THAT was actually the primary reason that the limit was 20. Not because people were spamming, but because they were unintentionally creating notification bombs.

It's not just intentional spam, it's also preventing notification bombing when someone accidentally types {{WP:VPT}} instead of [[WP:VPT]] (which actually happened).

Eh yeah, in my memory THAT was actually the primary reason that the limit was 20. Not because people were spamming, but because they were unintentionally creating notification bombs.

Originally, the limit was 300. That was then reduced to 100, and then to 20. The limit of 20 has been getting regular complaints, so they're raising it to 50. Suggestions/alternatives welcome. :)

Base added a subscriber: Base.Nov 15 2015, 2:33 PM

@Quiddity I guess it should not be a hard-coded number but a config variable so that wikis could decide what number is best for just them.

Quiddity added a comment.EditedNov 17 2015, 2:13 AM

@Quiddity I guess it should not be a hard-coded number but a config variable so that wikis could decide what number is best for just them.

@Base, are there are problems with the configuration of 50? If so, please let us know a few details, and link us to any discussions, so that I can file a new task for that feature-request. Thank you!

(Personally, I adore configs/preferences/options/settings of all types (my rant), but developers and managers tend to request rationales, for why they need to spend time adding further complexity to the code, and also so that they can evaluate how a request should be prioritized when considered with the thousands of other feature-additions or bug-fixes or etc that they could be working on... ;-)

Quiddity removed a subscriber: DannyH.Nov 17 2015, 2:15 AM